cURL
curl 'https://api.exponent.finance/strategies/managed/withdrawals?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4'
import requests
response = requests.get("https://api.exponent.finance/strategies/managed/withdrawals?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/strategies/managed/withdrawals?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
Positions
Strategy withdrawal requests by wallet
Retrieve live withdrawal requests and their token fills.
GET
/
strategies
/
managed
/
withdrawals
cURL
curl 'https://api.exponent.finance/strategies/managed/withdrawals?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4'
import requests
response = requests.get("https://api.exponent.finance/strategies/managed/withdrawals?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/strategies/managed/withdrawals?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
Query parameters
string
required
Owner wallet address.
cURL
curl 'https://api.exponent.finance/strategies/managed/withdrawals?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4'
import requests
response = requests.get("https://api.exponent.finance/strategies/managed/withdrawals?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/strategies/managed/withdrawals?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);